MINTPY-PREP_FRINGE(1)

NAME
mintpy-prep_fringe - Prepare FRInGE products for MintPy

DESCRIPTION
usage: prep_fringe.py [-h] [-u UNWFILE] [-c COHFILE] [--ps-mask PSMASKFILE]

[-g GEOMDIR] [-m METAFILE] [-b BASELINEDIR] [-o OUTDIR]
    [-r LKS_X] [-a LKS_Y] [--geom-only] [--sub-x XMIN XMAX] [--sub-y YMIN YMAX]

Prepare FRInGE products for MintPy

  options:

-h, --help
    show this help message and exit

-u UNWFILE, --unw-file UNWFILE
    path pattern of unwrapped interferograms (default: ./PS_DS/unwrap/*.unw).

-c COHFILE, --coh-file COHFILE
    temporal coherence file (default: ./PS_DS/tcorr_ds_ps.bin).

--ps-mask PSMASKFILE
    PS pixels file (default: ./ampDispersion/ps_pixels).

-g GEOMDIR, --geom-dir GEOMDIR
    FRInGE geometry directory (default: ./geometry). This is used to grab 1) bounding box

    AND 2) geometry source directory where the binary files are.

-m METAFILE, --meta-file METAFILE
    metadata file (default: ../reference/IW*.xml). e.g.: ./reference/IW1.xml for ISCE/topsStack OR

    ./referenceShelve/data.dat for ISCE/stripmapStack

-b BASELINEDIR, --baseline-dir BASELINEDIR
    baseline directory (default: ../baselines).

-o OUTDIR, --out-dir OUTDIR
    output directory (default: ./mintpy).

-r LKS_X, --range LKS_X
    number of looks in range direction, for multilooking applied after fringe processing. Only impacts metadata. (default: 1).

-a LKS_Y, --azimuth LKS_Y
    number of looks in azimuth direction, for multilooking applied after fringe processing. Only impacts metadata. (default: 1).

--geom-only
    Only create the geometry file (useful for geocoding a watermask).

  Subset:

    Display dataset in subset range

--sub-x XMIN XMAX, --subx XMIN XMAX, --subset-x XMIN XMAX
    subset display in x/cross-track/range direction

--sub-y YMIN YMAX, --suby YMIN YMAX, --subset-y YMIN YMAX
    subset display in y/along-track/azimuth direction

  example:

    prep_fringe.py -u './PS_DS/unwrap/*.unw' -c ./PS_DS/tcorr_ds_ps.bin -g ./geometry -m '../reference/IW*.xml' -b ../baselines -o ./mintpy

    cd ~/data/SanAndreasSenDT42/fringe prep_fringe.py

    ## example commands after prep_fringe.py reference_point.py timeseries.h5 -y 500 -x 1150 generate_mask.py temporalCoherence.h5 -m 0.7 -o maskTempCoh.h5 tropo_pyaps3.py -f timeseries.h5 -g inputs/geometryRadar.h5 remove_ramp.py timeseries_ERA5.h5 -m maskTempCoh.h5 -s linear dem_error.py timeseries_ERA5_ramp.h5 -g inputs/geometryRadar.h5 timeseries2velocity.py timeseries_ERA5_ramp_demErr.h5 geocode.py velocity.h5 -l inputs/geometryRadar.h5